<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@201035=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@18007C=0900</action>
      <action>maincpu.pw@180080=0905</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@184F00=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@184F21=04</action>
      <action>maincpu.pb@20100B=04</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@00B2C3</action>
    </script>
    <script state="run">
      <action>maincpu.pb@184E18=02</action> <!-- RAM Timer -->
      <action>maincpu.mb@00B2C3=EA</action> <!-- ROM Flicker -->
    </script>
    <script state="off">
      <action>maincpu.mb@00B2C3=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs">
    <script state="run">
      <action>maincpu.pb@184F2C=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have Maximum Attack Power">
    <script state="run">
      <action>maincpu.pb@184F30=04</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@180020=00|(maincpu.pb@180020 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region">
    <parameter>
      <item value="0x00">Osman (World)</item>
      <item value="0x01">Cannon Dancer (Japan)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@20103C=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
